from rq_controller.common import PyProjection
from rq_controller.common.io.rq_json import RqJsonWriter, RqJsonLoader
from pathlib import Path


FOLDER = Path('./example/data')

def main():
    projection_2 = PyProjection.dummy()
    print(projection_2)

    writer = RqJsonWriter()
    loader = RqJsonLoader()

    writer.write_projection(writer.get_projection_save_path_i(FOLDER, 2), projection_2)
    
    projection_1 = loader.load_projection(writer.get_projection_save_path_i(FOLDER, 1))
    print(projection_1)

    projection_2 = loader.load_projection(writer.get_projection_save_path_i(FOLDER, 2))
    print(projection_2)

if __name__ == '__main__':
    main()